












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22471 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "basicdiagn/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/basicdiagn/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/basicdiagn/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/basicdiagn/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22471 >Shot  &#35;22471</a>  &raquo;   </li>
	    <li><a href=/shots/22471/basicdiagn/ >  config  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: config</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/python2</span>

<span class="kn">import</span> <span class="nn">re</span>

<span class="c">#Constants</span>
<span class="n">pi</span> <span class="o">=</span>  <span class="mf">3.1415927</span>
<span class="n">Mu0</span><span class="o">=</span><span class="mi">4</span><span class="o">*</span><span class="n">pi</span><span class="o">*</span><span class="mf">1e-7</span>
<span class="n">kB</span><span class="o">=</span><span class="mf">1.3806503e-23</span>
<span class="n">eV</span><span class="o">=</span><span class="mf">1.60217646e-19</span>
<span class="n">RoomTemperature</span><span class="o">=</span><span class="mi">300</span>  <span class="c">#[K]</span>
<span class="n">pressure</span> <span class="o">=</span> <span class="mi">0</span>  <span class="c"># neznam !!! </span>

<span class="c">#Basics</span>
<span class="n">MajorRadius</span><span class="o">=</span><span class="mf">0.4</span>
<span class="n">MinorRadius</span><span class="o">=</span><span class="mf">0.1</span>
<span class="n">Aspect</span> <span class="o">=</span> <span class="n">MinorRadius</span><span class="o">/</span><span class="n">MajorRadius</span>

<span class="n">LimiterPosition</span><span class="o">=</span><span class="mf">0.085</span>  <span class="c"># [m] max plasma radius    0.05 for ring with Mach probes</span>
<span class="n">MeanPlasmaRadius</span><span class="o">=</span><span class="mf">0.060</span>   <span class="c"># [m] mean plasma radius without any stabilization </span>
<span class="n">PlasmaVolume</span><span class="o">=</span><span class="n">pi</span><span class="o">*</span><span class="n">LimiterPosition</span><span class="o">**</span><span class="mi">2</span><span class="o">*</span><span class="mi">2</span><span class="o">*</span><span class="n">pi</span><span class="o">*</span><span class="n">MajorRadius</span>
<span class="n">ToroidalMagneticFieldCoilInductance</span><span class="o">=</span><span class="mf">2.8e-3</span>  <span class="c">#[H] PhD. thesis J. Brotankova</span>

<span class="c">#Energetics (1.07.14):</span>
<span class="n">TororoidalMagneticFieldCapacitor</span><span class="o">=</span><span class="n">s</span><span class="o">=</span><span class="n">re</span><span class="o">.</span><span class="n">findall</span><span class="p">(</span><span class="s">&#39;</span><span class="se">\\\\</span><span class="s">def</span><span class="se">\\\\</span><span class="s">value\{(.*)\}&#39;</span><span class="p">,</span> <span class="nb">open</span><span class="p">(</span><span class="s">&#39;/golem/database/wiki/wikidata/Infrastructure/ToroidalMagneticFieldCircuit/Capacitor/ActualCapacity/PhysQuantDescript.page&#39;</span><span class="p">,</span> <span class="s">&#39;r&#39;</span><span class="p">)</span><span class="o">.</span><span class="n">read</span><span class="p">())[</span><span class="mi">0</span><span class="p">]</span>
<span class="c">#print (TororoidalMagneticFieldCapacitor)</span>
<span class="n">BreakDownElectricFieldCapacitor</span><span class="o">=</span><span class="mi">8</span><span class="o">*</span><span class="mf">450e-6</span>  <span class="c">#[F]</span>
<span class="n">CurrentDriveElectricFieldCapacitor</span><span class="o">=</span><span class="n">re</span><span class="o">.</span><span class="n">findall</span><span class="p">(</span><span class="s">&#39;</span><span class="se">\\\\</span><span class="s">def</span><span class="se">\\\\</span><span class="s">value\{(.*)\}&#39;</span><span class="p">,</span> <span class="nb">open</span><span class="p">(</span><span class="s">&#39;/golem/database/wiki/wikidata/Infrastructure/CurrentDriveFieldCircuit/Capacitor/ActualCapacity/PhysQuantDescript.page&#39;</span><span class="p">,</span> <span class="s">&#39;r&#39;</span><span class="p">)</span><span class="o">.</span><span class="n">read</span><span class="p">())[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">StabilizationCapacitor</span><span class="o">=</span><span class="mi">6</span><span class="o">*</span><span class="mf">450e-6</span>  <span class="c">#[F]</span>

<span class="n">TororoidalMagneticFieldTrigger</span> <span class="o">=</span> <span class="mf">5e-3</span>  <span class="c">#[s]</span>


  <span class="c">#DAS calibration</span>
  <span class="c">#LineCount=40000    #scopes DAS file line count</span>
  <span class="c">#TriggerLine=3500   #plasma discharge is triggered at data row</span>
  <span class="c">#DeltaT=1e-3       #[ms] DAS time</span>
  <span class="c">#DeltaTs=1e-6       #[s] DAS time</span>
  <span class="c">#LineCount=4000    #scopes DAS file line count</span>
  <span class="c">#TriggerLine=350   #plasma discharge is triggered at data row</span>
  <span class="c">#DeltaT=10e-3       #[ms] DAS time</span>
  <span class="c">#DeltaTs=10e-6       #[s] DAS time</span>
<span class="c">#LineCount=40000    #scopes DAS file line count</span>
<span class="c">#TriggerLine=3500   #plasma discharge is triggered at data row</span>
<span class="c">#DeltaT=1e-3       #[ms] DAS time</span>
<span class="c">#DeltaTs=1e-6       #[s] DAS time</span>

<span class="n">Bt_calibration</span><span class="o">=</span><span class="mf">70.42</span>   <span class="c">#[T/Vs] 0311 podle Tomase Markovice</span>
<span class="n">RogowskiCalibration</span><span class="o">=</span><span class="mf">5.3e6</span>   <span class="c">#[A/V(10us)] 03/2010, CASTOR calibration (Mr. F.Zacek), 10 us vzorkovani, p. Zacek uvadi 5.3 e6 A/Vs</span>
<span class="n">UloopCalibration</span><span class="o">=</span><span class="mf">5.5</span>
<span class="c">#ChamberResistance=7.44e-3   #[Ohm]</span>
<span class="c">#ChamberInduktance=0.60e-6   #[H]</span>

<span class="c">#$ChamberResistance=7.44e-3; #[Ohm]</span>
<span class="n">ChamberResistance</span><span class="o">=</span>  <span class="mf">9.7e-3</span>  <span class="c"># 5e-4; #  9.7e-3  #9.44e-3; #[Ohm]</span>
<span class="n">ChamberInduktance</span><span class="o">=</span><span class="mf">0.55e-6</span><span class="p">;</span> <span class="c">#[H]</span>

<span class="n">MaxTransformatorSaturation</span> <span class="o">=</span> <span class="mf">0.17</span>  <span class="c"># V.s</span>

<span class="n">Zeff</span> <span class="o">=</span> <span class="mi">3</span>  <span class="c"># stupid estimation of Z effective </span>
<span class="n">nu</span> <span class="o">=</span> <span class="mi">2</span> <span class="c"># current profile is j_O*(1-(r/a)^2)^nu</span>

  <span class="c">#PlasmaDetect</span>
<span class="c">#PlCurrentRise=500   #[A]</span>
<span class="c">#PlCurrentIncrTime=1e-3</span>
<span class="c">#PlCurrentSurv=1e-3</span>

  <span class="c">#Others</span>
<span class="n">shotdir</span><span class="o">=</span><span class="s">&#39;/golem/database/operation/shots&#39;</span>



<span class="c">#calibration data of the mirnov coils for plasma position [Tomas Odstrcil</span>
<span class="c">#calib_mirnov_coils = [-234.9, -234.9, -234.9, -234.9]  #T/(V*s)   1.1.2013 zmeneno </span>
<span class="n">calib_mirnov_coils</span> <span class="o">=</span> <span class="p">[</span> <span class="mi">0</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="mi">0</span> <span class="p">]</span>  <span class="c">#T/(V*s) </span>

    
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22471 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22471"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22471/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 0	total
B </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/basicdiagn/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/basicdiagn/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/basicdiagn/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
