












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22471 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "diagnostics/Microwaves/0712Interferometer.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22471 >Shot  &#35;22471</a>  &raquo;   </li>
	    <li><a href=/shots/22471/diagnostics/Microwaves/0712Interferometer.ON/ >  BlockConv  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: BlockConv</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/python2</span>
<span class="c"># -*- coding: utf-8 -*-</span>

<span class="kn">from</span> <span class="nn">numpy</span> <span class="kn">import</span> <span class="o">*</span>

<span class="kn">import</span> <span class="nn">pyfftw</span>
<span class="n">pyfftw</span><span class="o">.</span><span class="n">interfaces</span><span class="o">.</span><span class="n">cache</span><span class="o">.</span><span class="n">enable</span><span class="p">()</span>
<span class="n">pyfftw</span><span class="o">.</span><span class="n">interfaces</span><span class="o">.</span><span class="n">cache</span><span class="o">.</span><span class="n">set_keepalive_time</span><span class="p">(</span><span class="mi">30</span><span class="p">)</span>
<span class="c">#print &#39;include time &#39;,time()-t </span>



<span class="k">def</span> <span class="nf">BlockConv</span><span class="p">(</span><span class="n">signalin</span><span class="p">,</span> <span class="n">impulse</span><span class="p">,</span><span class="n">mode</span><span class="o">=</span><span class="s">&#39;full&#39;</span><span class="p">):</span>
    
    
    <span class="n">S</span> <span class="o">=</span> <span class="nb">len</span><span class="p">(</span><span class="n">impulse</span><span class="p">)</span> <span class="c"># impulse length</span>
    <span class="n">L_</span> <span class="o">=</span> <span class="nb">len</span><span class="p">(</span><span class="n">signalin</span><span class="p">)</span> <span class="c"># signal length</span>
    
    <span class="k">if</span> <span class="n">S</span> <span class="o">&gt;</span> <span class="n">L_</span><span class="o">/</span><span class="mi">4</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">fftconvolve</span><span class="p">(</span><span class="n">signalin</span><span class="p">,</span> <span class="n">impulse</span><span class="p">,</span><span class="n">mode</span><span class="p">)</span>
    
    <span class="n">n_ext</span> <span class="o">=</span> <span class="p">(((</span><span class="n">L_</span><span class="o">+</span><span class="mi">1</span><span class="p">)</span><span class="o">/</span><span class="n">S</span><span class="p">)</span><span class="o">+</span><span class="mi">1</span><span class="p">)</span><span class="o">*</span><span class="n">S</span><span class="o">-</span><span class="n">L_</span>
    
    <span class="n">signalin</span> <span class="o">=</span> <span class="kp">hstack</span><span class="p">((</span><span class="n">signalin</span><span class="p">,</span> <span class="kp">zeros</span><span class="p">(</span><span class="n">n_ext</span><span class="p">)))</span>
    <span class="n">L</span> <span class="o">=</span> <span class="nb">len</span><span class="p">(</span><span class="n">signalin</span><span class="p">)</span> <span class="c"># signal length</span>

    <span class="c"># find fftsize as the next power of 2</span>
    <span class="c"># beyond S*2-1</span>

    <span class="n">N</span> <span class="o">=</span> <span class="nb">max</span><span class="p">(</span><span class="mi">2</span><span class="o">**</span><span class="nb">int</span><span class="p">(</span><span class="kp">log2</span><span class="p">(</span><span class="n">S</span><span class="p">)</span><span class="o">+</span><span class="mi">2</span><span class="p">),</span><span class="mi">128</span><span class="p">)</span>


    <span class="c"># signal blocks for FFT</span>
    <span class="n">imp</span> <span class="o">=</span> <span class="kp">zeros</span><span class="p">(</span><span class="n">N</span><span class="p">,</span><span class="kp">dtype</span><span class="o">=</span> <span class="n">impulse</span><span class="o">.</span><span class="kp">dtype</span><span class="p">)</span>
    <span class="c">#sig = zeros(N,dtype=signalin.dtype)</span>
    <span class="n">sig</span> <span class="o">=</span> <span class="n">pyfftw</span><span class="o">.</span><span class="n">n_byte_align_empty</span><span class="p">(</span><span class="n">N</span><span class="p">,</span> <span class="mi">16</span><span class="p">,</span><span class="kp">dtype</span><span class="o">=</span><span class="n">csingle</span><span class="p">)</span>
    <span class="c">#sig = fftw3.create_aligned_array(N)</span>

    <span class="c"># output signal</span>
    <span class="n">out</span> <span class="o">=</span> <span class="n">pyfftw</span><span class="o">.</span><span class="n">n_byte_align_empty</span><span class="p">(</span><span class="n">N</span><span class="p">,</span> <span class="mi">16</span><span class="p">,</span><span class="kp">dtype</span><span class="o">=</span><span class="n">csingle</span><span class="p">)</span>
    <span class="c">#out = fftw3.create_aligned_array(N)</span>

    <span class="n">sigout</span> <span class="o">=</span> <span class="kp">zeros</span><span class="p">((</span><span class="n">L</span><span class="o">/</span><span class="mi">2</span><span class="p">)</span><span class="o">*</span><span class="mi">2</span><span class="o">+</span><span class="n">S</span><span class="o">+</span><span class="mi">1</span><span class="p">,</span> <span class="kp">dtype</span><span class="o">=</span><span class="nb">complex</span><span class="p">)</span>
    
    <span class="c"># copy impulse for FFT</span>
    <span class="n">imp</span><span class="p">[:</span><span class="n">S</span><span class="p">]</span> <span class="o">=</span> <span class="n">impulse</span>
    <span class="n">spec_imp</span> <span class="o">=</span> <span class="kp">fft</span><span class="o">.</span><span class="kp">fft</span><span class="p">(</span><span class="n">imp</span><span class="p">)</span>
    
    <span class="c">#fft_forward = fftw3.Plan(sig,out, direction=&#39;forward&#39;, flags=[&#39;estimate&#39;,])</span>
    <span class="n">fft_forward</span> <span class="o">=</span> <span class="n">pyfftw</span><span class="o">.</span><span class="n">FFTW</span><span class="p">(</span><span class="n">sig</span><span class="p">,</span><span class="n">out</span><span class="p">,</span> <span class="n">direction</span><span class="o">=</span><span class="s">&#39;FFTW_FORWARD&#39;</span><span class="p">,</span> <span class="n">flags</span><span class="o">=</span><span class="p">[</span><span class="s">&#39;FFTW_ESTIMATE&#39;</span><span class="p">,</span><span class="s">&#39;FFTW_DESTROY_INPUT&#39;</span><span class="p">])</span>
    
    
    <span class="c">#fft_backward = fftw3.Plan(out,sig, direction=&#39;backward&#39;, flags=[&#39;estimate&#39;,])</span>
    <span class="n">fft_backward</span> <span class="o">=</span> <span class="n">pyfftw</span><span class="o">.</span><span class="n">FFTW</span><span class="p">(</span><span class="n">out</span><span class="p">,</span><span class="n">sig</span><span class="p">,</span> <span class="n">direction</span><span class="o">=</span><span class="s">&#39;FFTW_BACKWARD&#39;</span><span class="p">,</span> <span class="n">flags</span><span class="o">=</span><span class="p">[</span><span class="s">&#39;FFTW_ESTIMATE&#39;</span><span class="p">,</span><span class="s">&#39;FFTW_DESTROY_INPUT&#39;</span><span class="p">])</span>
   

    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">xrange</span><span class="p">(</span> <span class="n">L</span><span class="o">/</span><span class="n">S</span><span class="p">):</span>

        <span class="n">p</span> <span class="o">=</span> <span class="n">S</span><span class="o">*</span><span class="n">i</span>
        <span class="c"># get block from input</span>
        <span class="n">sig</span><span class="p">[:</span><span class="n">S</span><span class="p">]</span> <span class="o">=</span> <span class="n">signalin</span><span class="p">[</span><span class="n">p</span><span class="p">:</span><span class="n">p</span><span class="o">+</span><span class="n">S</span><span class="p">]</span>
        <span class="n">sig</span><span class="p">[</span><span class="n">S</span><span class="p">:]</span> <span class="o">=</span> <span class="mi">0</span>

        <span class="c"># perform convolution and overlap-add   </span>
        <span class="n">fft_forward</span><span class="p">()</span>
        <span class="n">out</span><span class="o">*=</span> <span class="n">spec_imp</span>
        <span class="n">fft_backward</span><span class="p">()</span>

        <span class="n">sigout</span><span class="p">[</span><span class="n">p</span><span class="p">:</span><span class="n">p</span><span class="o">+</span><span class="mi">2</span><span class="o">*</span><span class="n">S</span><span class="p">]</span> <span class="o">+=</span> <span class="n">sig</span><span class="p">[:</span><span class="mi">2</span><span class="o">*</span><span class="n">S</span><span class="p">]</span><span class="o">/</span><span class="nb">len</span><span class="p">(</span><span class="n">sig</span><span class="p">)</span>


    <span class="k">if</span> <span class="n">mode</span> <span class="o">==</span> <span class="s">&#39;full&#39;</span><span class="p">:</span>
        <span class="n">sigout</span> <span class="o">=</span> <span class="n">sigout</span><span class="p">[:</span><span class="o">-</span><span class="n">n_ext</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span>
    <span class="k">if</span> <span class="n">mode</span> <span class="o">==</span> <span class="s">&#39;same&#39;</span><span class="p">:</span>
        <span class="n">sigout</span> <span class="o">=</span> <span class="n">sigout</span><span class="p">[(</span><span class="n">S</span><span class="o">-</span><span class="mi">1</span><span class="p">)</span><span class="o">/</span><span class="mi">2</span><span class="p">:(</span><span class="n">S</span><span class="o">-</span><span class="mi">1</span><span class="p">)</span><span class="o">/</span><span class="mi">2</span><span class="o">+</span><span class="n">L_</span><span class="p">]</span>

    <span class="k">return</span> <span class="n">sigout</span>
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22471 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22471"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22471/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 476KB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
