












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22471 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "diagnostics/Radiation/0211FastCamera.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/diagnostics/Radiation/0211FastCamera.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/diagnostics/Radiation/0211FastCamera.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/diagnostics/Radiation/0211FastCamera.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22471 >Shot  &#35;22471</a>  &raquo;   </li>
	    <li><a href=/shots/22471/diagnostics/Radiation/0211FastCamera.ON/ >  Tomography - basic.php  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: Tomography - basic.php</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">##!/usr/bin/env python</span>

<span class="o">&lt;%</span><span class="n">page</span> <span class="n">args</span><span class="o">=</span><span class="s">&quot;shot, page&quot;</span><span class="o">/&gt;</span>


<span class="o">&lt;%</span>
    <span class="kn">import</span> <span class="nn">os</span>
    <span class="kn">from</span> <span class="nn">pygolem_lite.web</span> <span class="kn">import</span> <span class="n">cat</span><span class="p">,</span> <span class="n">emph</span><span class="p">,</span> <span class="n">get_page_paths</span>

    <span class="n">page_path</span><span class="p">,</span> <span class="n">base_path</span><span class="p">,</span> <span class="n">page</span>  <span class="o">=</span> <span class="n">get_page_paths</span><span class="p">(</span><span class="n">shot</span><span class="p">,</span> <span class="n">page</span><span class="p">)</span>

    <span class="c">#youtube = &quot;tomography/youtube_url&quot;</span>
    <span class="n">correct</span> <span class="o">=</span> <span class="bp">False</span>

    <span class="n">tomo</span><span class="o">=</span><span class="s">&quot;tomography/&quot;</span>
    
    <span class="kn">from</span> <span class="nn">pygolem_lite</span> <span class="kn">import</span> <span class="n">Shot</span>
    <span class="n">Data</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">(</span><span class="n">shot</span><span class="p">)</span>
<span class="o">%&gt;</span>


 <span class="o">&lt;</span><span class="err">?</span><span class="n">php</span>
 <span class="err">$</span><span class="n">youtube</span> <span class="o">=</span> <span class="s">&quot;tomography/youtube_url&quot;</span><span class="p">;</span>
 <span class="k">if</span> <span class="p">(</span><span class="n">file_exists</span><span class="p">(</span><span class="err">$</span><span class="n">youtube</span><span class="p">))</span> <span class="p">{</span>
    <span class="n">echo</span> <span class="s">&#39;&lt;h2&gt;Visible spectra tomography&lt;/h2&gt;&#39;</span><span class="p">;</span>
    <span class="err">$</span><span class="n">fp</span> <span class="o">=</span> <span class="n">fopen</span><span class="p">(</span><span class="err">$</span><span class="n">youtube</span><span class="p">,</span> <span class="s">&quot;r&quot;</span><span class="p">);</span>
    <span class="err">$</span><span class="n">url</span> <span class="o">=</span> <span class="n">fgets</span><span class="p">(</span><span class="err">$</span><span class="n">fp</span><span class="p">,</span> <span class="mi">1024</span><span class="p">);</span>
    <span class="n">echo</span> <span class="s">&quot;&lt;iframe  width=&#39;480&#39; height=&#39;390&#39; src=$url frameborder=&#39;0&#39; allowfullscreen&gt;&lt;/iframe&gt;&quot;</span><span class="p">;</span>
    <span class="o">//</span><span class="n">http</span><span class="p">:</span><span class="o">//</span><span class="n">www</span><span class="o">.</span><span class="n">youtube</span><span class="o">.</span><span class="n">com</span><span class="o">/</span><span class="n">embed</span><span class="o">/</span><span class="n">AiPHnA0k4v0</span>
 <span class="p">}</span>

 <span class="err">?</span><span class="o">&gt;</span>
 
<span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;</span> <span class="n">Basic</span> <span class="n">reconstruction</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>

 <span class="o">&lt;</span><span class="err">?</span><span class="n">php</span>
  <span class="k">if</span> <span class="p">(</span><span class="n">file_exists</span><span class="p">(</span><span class="s">&#39;tomography&#39;</span><span class="p">))</span> <span class="p">{</span>
<span class="err">?</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/colors_1.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/colors_2.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/Detectors.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/g_profilX.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/g_profilY.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
    <span class="o">&lt;</span><span class="n">img</span> <span class="n">src</span><span class="o">=</span><span class="s">&#39;tomography/profile.png&#39;</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>


  <span class="o">&lt;</span><span class="err">?</span><span class="n">php</span>
<span class="p">}</span>

 <span class="k">if</span> <span class="p">(</span> <span class="err">!</span> <span class="n">file_exists</span><span class="p">(</span><span class="s">&#39;tomo_working&#39;</span><span class="p">)</span> <span class="p">)</span> <span class="p">{</span>
     <span class="err">$</span><span class="n">plasma</span> <span class="o">=</span> <span class="err">$</span><span class="p">{</span><span class="n">Shot</span><span class="p">(</span><span class="n">shot</span><span class="p">)[</span><span class="s">&#39;plasma&#39;</span><span class="p">]};</span>
     <span class="k">if</span> <span class="p">(</span> <span class="err">$</span><span class="n">plasma</span> <span class="o">==</span> <span class="mi">1</span> <span class="p">)</span> <span class="p">{</span>
         <span class="n">echo</span> <span class="s">&#39;&lt;h2&gt; Tomography not accessible&lt;/h2&gt;&#39;</span><span class="p">;</span>
     <span class="p">}</span> <span class="k">else</span> <span class="p">{</span>
         <span class="n">echo</span> <span class="s">&#39;&lt;h2&gt;No plasma&lt;/h2&gt;&#39;</span><span class="p">;</span>
     <span class="p">}</span>
 <span class="p">}</span>

 <span class="k">if</span> <span class="p">(</span> <span class="n">file_exists</span><span class="p">(</span><span class="s">&#39;tomo_working&#39;</span><span class="p">)</span> <span class="o">&amp;&amp;</span> <span class="err">!</span> <span class="n">file_exists</span><span class="p">(</span><span class="s">&#39;tomography/&#39;</span><span class="p">))</span> <span class="p">{</span>
      <span class="n">echo</span> <span class="s">&#39;&lt;h2&gt; Computing tomography, wait .... (max 10 min.)&lt;/h2&gt;&#39;</span><span class="p">;</span>
 <span class="p">}</span>

 <span class="err">?</span><span class="o">&gt;</span>
 
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22471 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22471"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22471/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 368KB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/diagnostics/Radiation/0211FastCamera.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/diagnostics/Radiation/0211FastCamera.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/diagnostics/Radiation/0211FastCamera.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
