












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22471 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "DAS/1113Papouch_Ko.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/DAS/1113Papouch_Ko.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/DAS/1113Papouch_Ko.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/DAS/1113Papouch_Ko.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22471 >Shot  &#35;22471</a>  &raquo;   </li>
	    <li><a href=/shots/22471/DAS/1113Papouch_Ko.ON/ >  device_control  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: device_control</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53</pre></div></td><td class="code"><div class="highlight"><pre><span class="kn">from</span> <span class="nn">pydcpf.appliances.DAS1210</span> <span class="kn">import</span> <span class="n">Device</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.utilities</span> <span class="kn">import</span> <span class="n">read_config</span>

<span class="n">config</span> <span class="o">=</span> <span class="n">read_config</span><span class="p">(</span><span class="s">&#39;das.cfg&#39;</span><span class="p">)</span>
<span class="n">IP_address</span> <span class="o">=</span> <span class="n">config</span><span class="p">[</span><span class="s">&#39;io_config&#39;</span><span class="p">][</span><span class="s">&#39;ip&#39;</span><span class="p">]</span>
<span class="n">port</span> <span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">config</span><span class="p">[</span><span class="s">&#39;io_config&#39;</span><span class="p">][</span><span class="s">&#39;port&#39;</span><span class="p">])</span>
<span class="n">file_name</span> <span class="o">=</span> <span class="n">config</span><span class="p">[</span><span class="s">&#39;io_config&#39;</span><span class="p">][</span><span class="s">&#39;file&#39;</span><span class="p">]</span>

<span class="c">#IP_address = &#39;192.168.2.221&#39;</span>
<span class="c">#port = 10001</span>
<span class="n">number_of_samples</span> <span class="o">=</span> <span class="mi">10</span> <span class="o">*</span> <span class="mi">4096</span> <span class="c">#TODO should calculate from used frequency and recorded time</span>
<span class="n">debug</span> <span class="o">=</span> <span class="bp">False</span>
<span class="n">error_tolerance</span> <span class="o">=</span> <span class="mi">3</span> <span class="c">#how many errors to tolerate per channel</span>

<span class="kn">from</span> <span class="nn">socket</span> <span class="kn">import</span> <span class="n">timeout</span> <span class="k">as</span> <span class="n">TimeoutError</span>
<span class="n">timeout</span> <span class="o">=</span> <span class="mi">2</span>

<span class="n">papouch</span> <span class="o">=</span> <span class="n">Device</span><span class="p">(</span><span class="n">IP_address</span><span class="p">,</span> <span class="n">port</span><span class="p">,</span> <span class="n">timeout</span><span class="o">=</span><span class="n">timeout</span><span class="p">)</span>

<span class="k">if</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span> <span class="s">&quot;arming&quot;</span><span class="p">:</span>
	<span class="kn">from</span> <span class="nn">time</span> <span class="kn">import</span> <span class="n">sleep</span>
	<span class="k">if</span> <span class="ow">not</span> <span class="n">papouch</span><span class="o">.</span><span class="n">set_ready</span><span class="p">():</span> <span class="c">#set all channels to armed state</span>
		<span class="ne">RuntimeError</span><span class="p">(</span><span class="s">&quot;Cannot arm device ..&quot;</span><span class="p">)</span>
	<span class="n">sleep</span><span class="p">(</span><span class="mf">0.01</span><span class="p">)</span> <span class="c"># must not terminate the connection immediately</span>
<span class="k">elif</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span> <span class="s">&quot;acquisition&quot;</span><span class="p">:</span>
	<span class="kn">from</span> <span class="nn">pydcpf.protocols.spinel97</span> <span class="kn">import</span> <span class="n">CheckSumError</span><span class="p">,</span> <span class="n">ACKError</span>
	<span class="kn">import</span> <span class="nn">numpy</span> <span class="kn">as</span> <span class="nn">np</span>
	<span class="c">#papouch.get_data(number_of_samples, 1)</span>
	<span class="kn">from</span> <span class="nn">threading</span> <span class="kn">import</span> <span class="n">Thread</span> <span class="c">#multiprocessing would copy data</span>

	<span class="k">for</span> <span class="n">channel</span> <span class="ow">in</span> <span class="nb">xrange</span><span class="p">(</span><span class="mi">1</span><span class="p">,</span> <span class="mi">13</span><span class="p">):</span>
		<span class="k">if</span> <span class="n">debug</span><span class="p">:</span>
			<span class="k">print</span> <span class="s">&quot;Acquisition of channel </span><span class="si">%i</span><span class="s">&quot;</span> <span class="o">%</span> <span class="n">channel</span>
		<span class="n">error_count</span> <span class="o">=</span> <span class="mi">0</span>
		<span class="k">while</span> <span class="bp">True</span><span class="p">:</span>
			<span class="k">try</span><span class="p">:</span>
				<span class="n">Thread</span><span class="p">(</span><span class="n">target</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">savez_compressed</span><span class="p">,</span> <span class="n">args</span><span class="o">=</span><span class="p">(</span><span class="n">file_name</span><span class="o">+</span><span class="s">&#39;_</span><span class="si">%02i</span><span class="s">&#39;</span> <span class="o">%</span> <span class="n">channel</span><span class="p">,),</span> <span class="n">kwargs</span><span class="o">=</span><span class="nb">dict</span><span class="p">(</span>
					<span class="n">data</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="kp">hstack</span><span class="p">(</span>
						<span class="p">[</span> <span class="n">np</span><span class="o">.</span><span class="kp">frombuffer</span><span class="p">(</span><span class="n">buf</span><span class="p">,</span> <span class="s">&#39;&lt;i2&#39;</span><span class="p">)</span> <span class="k">for</span> <span class="n">buf</span> <span class="ow">in</span> <span class="n">papouch</span><span class="o">.</span><span class="n">get_data</span><span class="p">(</span><span class="n">number_of_samples</span><span class="p">,</span> <span class="n">channel</span><span class="p">)</span> <span class="p">]</span>
						<span class="p">)</span>	
					<span class="p">,</span> <span class="n">t_start</span> <span class="o">=</span> <span class="mi">0</span>
					<span class="p">,</span> <span class="n">t_end</span> <span class="o">=</span> <span class="n">number_of_samples</span> <span class="o">*</span> <span class="mf">1e-6</span> <span class="c">#TODO use actual frequency on channel</span>
					<span class="p">,</span> <span class="n">scale</span> <span class="o">=</span> <span class="mf">10.0</span> <span class="o">/</span> <span class="mi">2</span><span class="o">**</span><span class="mi">15</span> <span class="c"># 2**16 / 2 #TODO use actual amplification </span>
					<span class="p">)</span>
				<span class="p">)</span><span class="o">.</span><span class="n">run</span><span class="p">()</span>
				<span class="k">break</span>
			<span class="k">except</span> <span class="p">(</span><span class="n">CheckSumError</span><span class="p">,</span> <span class="n">ACKError</span><span class="p">,</span> <span class="n">TimeoutError</span><span class="p">)</span> <span class="k">as</span> <span class="n">e</span><span class="p">:</span>
				<span class="n">error_count</span> <span class="o">+=</span> <span class="mi">1</span>
				<span class="k">print</span> <span class="s">&quot;</span><span class="si">%i</span><span class="s">. failure on channel </span><span class="si">%i</span><span class="s">: &quot;</span> <span class="o">%</span> <span class="p">(</span><span class="n">error_count</span><span class="p">,</span> <span class="n">channel</span><span class="p">)</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="n">e</span><span class="p">)</span>
				<span class="k">if</span> <span class="n">error_count</span> <span class="o">&gt;</span> <span class="n">error_tolerance</span><span class="p">:</span>
					<span class="k">print</span> <span class="s">&quot;Too many (more than </span><span class="si">%i</span><span class="s">) errors on channel </span><span class="si">%i</span><span class="s">, aborting acquisition of this channel&quot;</span> <span class="o">%</span> <span class="p">(</span><span class="n">error_tolerance</span><span class="p">,</span> <span class="n">channel</span><span class="p">)</span>
					<span class="k">break</span>
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22471 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22471"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22471/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 1.2MB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/DAS/1113Papouch_Ko.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22472/DAS/1113Papouch_Ko.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22470/DAS/1113Papouch_Ko.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
